> ## Documentation Index
> Fetch the complete documentation index at: https://docs.controlplane.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an identity by GVC and name

> Response will contain the requested identity if the caller is authorized to view it



## OpenAPI

````yaml get /org/{org}/gvc/{gvc}/identity/{name}
openapi: 3.0.3
info:
  title: Control Plane Core API
  description: Copyright © 2023 Control Plane Corporation. All rights reserved.
  version: 1.0.0
servers:
  - url: https://api.cpln.io
    description: ''
security:
  - {}
  - serviceAccountKey: []
  - jwt: []
externalDocs:
  url: https://docs.controlplane.com/
  description: End-user documentation
paths:
  /org/{org}/gvc/{gvc}/identity/{name}:
    get:
      tags:
        - identity
      summary: Get an identity by GVC and name
      description: >-
        Response will contain the requested identity if the caller is authorized
        to view it
      parameters:
        - in: path
          name: org
          required: true
          schema:
            type: string
        - in: path
          name: gvc
          required: true
          schema:
            type: string
        - in: path
          name: name
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/identity'
        '403':
          description: Not found or not allowed to view
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
components:
  schemas:
    identity:
      type: object
      properties:
        id:
          type: string
          readOnly: true
        name:
          type: string
          maxLength: 64
        kind:
          type: string
          readOnly: true
        version:
          type: integer
          readOnly: true
        description:
          type: string
          maxLength: 250
        tags:
          type: object
        created:
          type: string
          format: date-time
          readOnly: true
        lastModified:
          type: string
          format: date-time
          readOnly: true
        links:
          type: array
          items:
            $ref: '#/components/schemas/link'
          readOnly: true
        aws:
          type: object
          properties:
            cloudAccountLink:
              type: string
            policyRefs:
              type: array
              items:
                type: string
            trustPolicy:
              type: object
              properties:
                Version:
                  type: string
                  default: '2012-10-17'
                Statement:
                  type: array
                  items:
                    type: object
              additionalProperties: false
            roleName:
              type: string
              maxLength: 64
          additionalProperties: false
        gcp:
          type: object
          properties:
            cloudAccountLink:
              type: string
            scopes:
              type: array
              items:
                type: string
            serviceAccount:
              type: string
            bindings:
              type: array
              items:
                type: object
                properties:
                  resource:
                    type: string
                  roles:
                    type: array
                    items:
                      type: string
                additionalProperties: false
          additionalProperties: false
        azure:
          type: object
          properties:
            cloudAccountLink:
              type: string
            roleAssignments:
              type: array
              items:
                type: object
                properties:
                  scope:
                    type: string
                  roles:
                    type: array
                    items:
                      type: string
                additionalProperties: false
          additionalProperties: false
        ngs:
          type: object
          properties:
            cloudAccountLink:
              type: string
            pub:
              type: object
              properties:
                allow:
                  type: array
                  items:
                    type: string
                deny:
                  type: array
                  items:
                    type: string
              additionalProperties: false
            sub:
              type: object
              properties:
                allow:
                  type: array
                  items:
                    type: string
                deny:
                  type: array
                  items:
                    type: string
              additionalProperties: false
            resp:
              type: object
              properties:
                max:
                  type: integer
                  description: >-
                    Number of responses allowed on the replyTo subject, -1 means
                    no limit
                ttl:
                  type: string
                  description: >-
                    Deadline to send replies on the replyTo subject [#ms(millis)
                    | #s(econds) | m(inutes) | h(ours)]. -1 means no restriction
              additionalProperties: false
            subs:
              type: integer
              description: Max number of subscriptions per connection
            data:
              type: integer
              description: Max number of bytes a connection can send
            payload:
              type: integer
              description: Max message payload
          additionalProperties: false
        networkResources:
          type: array
          items:
            $ref: '#/components/schemas/network_resource'
        nativeNetworkResources:
          type: array
          items:
            type: object
            properties:
              name:
                oneOf:
                  - type: string
                    maxLength: 64
                  - type: string
              FQDN:
                type: string
              ports:
                type: array
                items:
                  type: integer
              awsPrivateLink:
                type: object
                properties:
                  endpointServiceName:
                    type: string
                additionalProperties: false
              gcpServiceConnect:
                type: object
                properties:
                  targetService:
                    type: string
                additionalProperties: false
            additionalProperties: false
        memcacheAccess:
          type: array
          items:
            type: object
            properties:
              clusterLink:
                type: string
              role:
                type: string
                enum:
                  - readWrite
            additionalProperties: false
        spicedbAccess:
          type: array
          items:
            type: object
            properties:
              clusterLink:
                type: string
              role:
                type: string
                enum:
                  - checkPermission
                  - read
                  - write
            additionalProperties: false
        status:
          type: object
          properties:
            objectName:
              type: string
            aws:
              type: object
              properties:
                lastError:
                  type: string
                usable:
                  type: boolean
              additionalProperties: false
            gcp:
              type: object
              properties:
                lastError:
                  type: string
                usable:
                  type: boolean
              additionalProperties: false
            azure:
              type: object
              properties:
                lastError:
                  type: string
                usable:
                  type: boolean
              additionalProperties: false
          additionalProperties: false
          readOnly: true
        gvc:
          type: string
      additionalProperties: false
    error:
      type: object
      properties:
        status:
          type: integer
        message:
          type: string
        code:
          type: string
        details:
          type: object
        id:
          type: string
      additionalProperties: false
    link:
      type: object
      properties:
        rel:
          type: string
        href:
          type: string
      additionalProperties: false
    network_resource:
      type: object
      properties:
        name:
          oneOf:
            - type: string
              maxLength: 64
            - type: string
        agentLink:
          type: string
        IPs:
          type: array
          items:
            type: string
        FQDN:
          type: string
        resolverIP:
          type: string
        ports:
          type: array
          items:
            type: integer
      additionalProperties: false
  securitySchemes:
    serviceAccountKey:
      type: apiKey
      in: header
      name: Authorization
      description: Service account key can be used as API keys
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: IDP-provided token

````